Last Comment Bug 5063 - [I18N][ENDER] Cannot copy/paste Japanese strings properly into the subject header field
: [I18N][ENDER] Cannot copy/paste Japanese strings properly into the subject he...
Status: VERIFIED WORKSFORME
DEPEND - Intl - QA BLOCKER - ok for f...
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: P2 major (vote)
: M15
Assigned To: buster
: Katsuhiko Momoi
Mentors:
Depends on:
Blocks: 7228 12907 19423
  Show dependency treegraph
 
Reported: 1999-04-13 18:54 PDT by Katsuhiko Momoi
Modified: 2008-07-31 01:22 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Katsuhiko Momoi 1999-04-13 18:54:39 PDT
** Observed with 4/13/99 Win 32 build **

We are not able to input Japanese into the subject field either via the
Windows IME (see Bug #5061), or by copy/pasting strings from another
browser page (e.g. via Communicator 4.5x). We can actually copy/paste
some strings but they don't display as Japanese. Neither does it show up
as Japanese once received.
Comment 1 nhottanscp 1999-04-14 09:49:59 PDT
This is needed for M5 (to support MIME encode for Japanese).
Bob, who should I assgin this, xpfe?
Comment 2 nhottanscp 1999-04-14 10:33:59 PDT
I tried this on my machine (WinNT4 US). I the debugger, a pasted Shift_JIS text
(hex: 8B4382C9...) was converted to unicode (hex: 008B0043008200C9). So the
conversion is wrong (or missing).
The message composer uses a class nsIDOMHTMLInputElement for the subject field.
This class may need to convert from Shift_JIS to unicode.
But I am not clear about how to do that. The class needs a charset info or has
to assume it as the system charset in order to pick up a from charset for the
conversion. Since we're now unicode base, we could allow the user to input
multiple languages (e.g. French + Japanese). Do we have spec for this?
Regarding the dom class, I found that the parent class nsIDOMHTMLElement has
GetLang/SetLang. I haven't looked at the implementation (not sure what string
to pass) but the message compose may call this. Then we need to convert charset
to lang...
Comment 3 nhottanscp 1999-04-14 13:55:59 PDT
Adding vidur@netscape.com (found in cvs log of nsIDOMHTMLInputElement ),
kostello@netscape.com to cc.
Is nsIDOMHTMLInputElement based on Ender? If so, the paste problem may be
related to the bug#4388.
Comment 4 vidur (gone) 1999-04-14 14:32:59 PDT
nsIDOMHTMLInputElement is just an interface implemented by the
nsHTMLInputElement class (found in mozilla/layout/html/content/src). Eric
Pollmann is the owner of that class and other things form related.
Comment 5 bobj 1999-04-15 11:57:59 PDT
Reassigning to Eric based upon Vidur's comment.
This is blocking the M5 deliverable for sending Japanese email.
Comment 6 Eric Pollmann 1999-04-19 14:36:59 PDT
As I understand it we won't be supporting this with native widgets, but only
through GFX/Ender.  Reassigning to Pierre.
Comment 7 Pierre Saslawsky 1999-04-19 14:58:59 PDT
i18n issue: reassigned to ftang
Comment 8 Pierre Saslawsky 1999-04-19 18:38:59 PDT
We won't support asian languages before Ender is used in GFX-rendered widgets.
Closed as Later.
Comment 9 Frank Tang 1999-04-20 12:15:59 PDT
Please do not close this kind of bug. We need this before we ship 5.0. We cannot
close this bug. We do understand we need Ender to support this. This bug should
be closed the date we switch the <TEXTAREA> and <INPUT type=text> to ender.
Reopen.

When (which M build?) do we plan to switch <TEXTAREA>, <INPUT type=text>, and
the file name field in <INPUT type=file> to ENDER ?
Comment 10 Frank Tang 1999-04-21 17:36:59 PDT
reassign to peirre. Pierre, please leave it open till we switch to ender.
Comment 11 leger 1999-04-28 16:47:59 PDT
Adding to QA Blocker radar.
Comment 12 Pierre Saslawsky 1999-06-06 11:18:59 PDT
Moving to M15 all the bugs that have a dependancy on GFX widgets and/or Ender.
Comment 13 bobj 1999-06-16 17:47:59 PDT
Should be fixed by Ender-based text widget.  See bug #6262.

*** This bug has been marked as a duplicate of 6262 ***
Comment 14 Jay Patel [:jay] 1999-06-18 13:33:59 PDT
Verified Dup of Bug 6262
Comment 15 Katsuhiko Momoi 1999-06-18 13:39:59 PDT
Jay, please look at the QA Contact field to see if this has been
assigned for you to verify.
It's not clear if this is a duplicate of Bug 6262. There could be
some other factor other than just Ender widget use.
I tried a new Ender pref but the copy/paste failed.
I'm re-opening it for now.
Comment 16 Pierre Saslawsky 1999-09-01 16:17:59 PDT
Reassigned to buster whos is now taking care of gfx text widgets.
Comment 17 Kathleen Brade 1999-10-11 09:06:59 PDT
Kat--Can you check if this is still broken?  If so, can you clarify if both copy
and paste are broken or just paste?  To do this you might try copying within
Apprunner text widget and pasting into 4.5 (as well as copying in 4.5 and pasting
into 5.0 which I think you did try).  Thanks!
Comment 18 Katsuhiko Momoi 1999-10-11 13:30:59 PDT
Kathy, as of 10/11/99's Win32 M11 build, the following seem to be
true:

1. Inter-application copy/paste of non-ASCII strings is generally
   broken. I thought akkana told me that we need to have nsclipboard
   implemneted to solve some of the inter-application problems.
2. Intra-application copy/paste is generally working, but there
   is one glaring bug. Let me describe this bug now.

** Intra-application copy/cut and paste bugs for non-ASCII strings **

Copy/Cut and paste of non-ASCII strings works:

a) within the same text area (e.g. within the same mail body text)
b) from text field to text area (e.g. from Mail subject header to body text)

Copy/Cut and paste of non-ASCII strings does not work:

c) within the same text field (e.g. within Subject or other mail header
   fields.)
d) from text area to text field (e.g. from mail body text to Subject field)

In all cases of failure, you see "dots" instead of real characters.

-------
akkana, I thought that there is already a bug for inter-application
copy/cut and paste. Can you supply the bug number?
Comment 19 chris hofmann 2000-02-01 19:33:01 PST
does this work yet?
Comment 20 Katsuhiko Momoi 2000-02-16 15:42:24 PST
I believe that issues covered in this bugs are convered 
separately in other bugs and most of them have been 
already fixed. Whatever remains is tracked in other
bugs and there is no need to keep this bug open.

Marking it resolved/worksforme and then verified.
Comment 21 Katsuhiko Momoi 2000-02-16 15:42:56 PST
Marking the fix verified.

Note You need to log in before you can comment on or make changes to this bug.